Retrieves all the equipment_model objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "643ff1eb-484e-411e-a578-a5055bfae3b1",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "da713a74-ec76-48b1-8920-b1ca8a5b01ae",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "2e218c25-e73e-4c87-946a-2ac3904fb6cf",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "250151c0-8364-4c47-8593-8d6d722075f3",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "779d3861-0764-49e5-97a7-9970f3f5c0bb",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "8a5179c2-2d03-4ce9-a29a-c6ac9119cc0a",
      "db_currency_id": "fb8c2749-4c63-48c1-bc6f-18873d72fd21",
      "db_language_id": "c1688901-9048-4b1a-8ad1-33c4dd8363d3",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-15T18:57:34.2820543+00:00"
    },
    "modified_dateutc": "2026-10-15T18:57:34.2820543+00:00"
  },
  "equipment_family_id": "4c7c7323-32ca-4015-9003-d0434bb0727d",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "678e15a0-9002-4140-b079-612e51c75df9",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "84776994-72bb-4f1b-a218-33b6f36a4fd9",
    "_parent_code": "sample string 6",
    "sales_organization_id": "4ff2bf96-078f-4200-af5f-96d62b332e90",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "779d3861-0764-49e5-97a7-9970f3f5c0bb",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "8a5179c2-2d03-4ce9-a29a-c6ac9119cc0a",
      "db_currency_id": "fb8c2749-4c63-48c1-bc6f-18873d72fd21",
      "db_language_id": "c1688901-9048-4b1a-8ad1-33c4dd8363d3",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-15T18:57:34.2820543+00:00"
    },
    "modified_dateutc": "2026-10-15T18:57:34.29454+00:00"
  },
  "date_in_production_since": "2026-10-15T18:57:34.29454+00:00",
  "date_out_of_production_since": "2026-10-15T18:57:34.29454+00:00",
  "date_end_support": "2026-10-15T18:57:34.29454+00:00",
  "sales_organization_id": "4bafe71b-29f9-4366-b906-78d111d75f83",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "779d3861-0764-49e5-97a7-9970f3f5c0bb",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "8a5179c2-2d03-4ce9-a29a-c6ac9119cc0a",
    "db_currency_id": "fb8c2749-4c63-48c1-bc6f-18873d72fd21",
    "db_language_id": "c1688901-9048-4b1a-8ad1-33c4dd8363d3",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-15T18:57:34.2820543+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-10-15T18:57:34.29454+00:00"
}